/*
 *  Interface and declarations for the BrowserViewsPrefsView Class 
 *  of the GNUstep GWorkspace application
 *
 *  Copyright (c) 2001 Enrico Sersale <enrico@imago.ro>
 *  
 *  Author: Enrico Sersale
 *  Date: August 2001
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef BROWSERVIEWSPREFERENCES_H
#define BROWSERVIEWSPREFERENCES_H

#import <AppKit/NSView.h>

@class NSString;
@class NSEvent;
@class NSImage;
@class NSTextFieldCell;
@class NSButton;
@class GWorkspace;

@interface ExampleView : NSView
{
}

@end

@interface Resizer : NSView
{
  NSImage *arrow;
  id prefview;
}

- (id)initInPrefView:(id)view;

@end

@interface BrowserViewsPrefsView : NSView
{
  ExampleView *exampleView;
  Resizer *resizer;
  NSTextFieldCell *cell;
  NSButton *setButt;
  int columnsWidth;
  GWorkspace *gw;  
}

- (NSString *)prefsname;

- (void)resizeParts;

- (void)mouseDownOnResizer:(NSEvent *)theEvent;

- (void)setNewWidth:(int)w;

- (void)setDefaultWidth:(id)sender;

@end

#endif // BROWSERVIEWSPREFERENCES_H
