 /*  -*-objc-*-
 *  PathIconLabel.m: Implementation of the PathIconLabel Class 
 *  of the GNUstep GWorkspace application
 *
 *  Copyright (c) 2001 Enrico Sersale <enrico@imago.ro>
 *  
 *  Author: Enrico Sersale
 *  Date: August 2001
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#import <Foundation/Foundation.h>
#import <AppKit/AppKit.h>
#include "PathIconLabel.h"
#include "PathIcon.h"
#include "GNUstep.h"

@implementation PathIconLabel

- (id)initForPathIcon:(id)icn
{
  self = [super init];
  icon = (PathIcon *)icn;
  return self;  
}

- (void)mouseDown:(NSEvent*)theEvent
{
  if ([icon isSelect] == NO) {
    [icon clickOnLabel];
    return;
  }
  
  [super mouseDown: theEvent];
}

- (void)drawRect:(NSRect)rect
{
  if ([icon isDimmed] == YES) {
    return;
  }
  
  [super drawRect: rect];
}

@end
